/*

	9unit
	Copyright (C) Jonathan Lamothe <jonathan@jlamothe.net>

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as
	published by the Free Software Foundation, either version 3 of the
	License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful, but
	WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public
	License along with this program.  If not, see
	<http://www.gnu.org/licenses/>.

*/

#include <u.h>
#include <libc.h>

#include "../9unit.h"
#include "util.h"
#include "initial-state.h"

// Public Functions

void
test_initial_state(TestState *s, void *ptr)
{
	TestState *scpy = ptr;
	chk_int_eq(s, "run", scpy->run, 0);
	chk_int_eq(s, "passsed", scpy->passed, 0);
	chk_int_eq(s, "failed", scpy->failed, 0);
 	chk_int_eq(s, "pending", scpy->pending, 0);
	chk_ptr_eq(s, "first_log", scpy->first_log, 0);
	chk_ptr_eq(s, "last_log", scpy->last_log, 0);
	chk_ptr_eq(s, "ptr", scpy->ptr, 0);
	chk_ptr_eq(s, "context", scpy->context, 0);
	chk_ptr_eq(s, "full_context", scpy->full_context, 0);
	chk_int_eq(s, "depth", scpy->depth, 0);
	chk_ptr_ne(s, "report()", scpy->report, 0);
}

//jl
