/*

	9unit
	Copyright (C) Jonathan Lamothe <jonathan@jlamothe.net>

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as
	published by the Free Software Foundation, either version 3 of the
	License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful, but
	WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public
	License along with this program.  If not, see
	<http://www.gnu.org/licenses/>.

*/

#define STR_BUF_SIZE 256 // maximum string buffer size

// initializes a sample TestState value
void mk_sample_state(TestState *);

// ensures two TestState values are equal
extern void chk_TestState_eq(
	TestState *, // the state we are *actually* updating ;)
	const char *, // the context
	const TestState *, // actual state
	const TestState * // expected state
);

// ensure two integers are equal
extern void chk_int_eq(
	TestState *, // the test state
	const char *, // the context
	int, // the actual value
	int // the expected value
);

// ensure two pointers are equal
extern void chk_ptr_eq(
	TestState *, // the test state
	const char *, // the context
	void *, // the actual value
	void * // the expected value
);

// ensure two pointers are not equal
extern void chk_ptr_ne(
	TestState *, // the test state
	const char *, // the context
	void *, // the actual value
	void * // the prohibited value
);

// ensure two strings are equal
extern void chk_str_eq(
	TestState *, // the test state
	const char *, // the context
	const char *, // the actual value
	const char * // the expected value
);

//jl
